fann_shuffle_train_data
fann_test_data
Fann Functions
PHP Manual

# fann_subset_train_data

Returns an copy of a subset of the train data

### Description

resource fann_subset_train_data ( resource `$data` , int `$pos` , int `$length` )

Returns an copy of a subset of the train data resource, starting at position pos and length elements forward.

The fann_subset_train_data(train_data, 0, fann_length_train_data(train_data)) do the same as fann_duplicate_train_data

### Parameters

`data`

  Neural network training data resource.

`pos`

  Starting position.

`length`

  The number of copied elements.

### Return Values

Returns a train data resource on success, or `FALSE` on error.

### See Also

- fann_duplicate_train_data